[![Gem Version](https://badge.fury.io/rb/misfortune.svg)](https://badge.fury.io/rb/misfortune)
[![Build Status](https://travis-ci.org/nbekirov/misfortune.svg?branch=master)](https://travis-ci.org/nbekirov/misfortune)
[![Code Climate](https://codeclimate.com/github/nbekirov/misfortune/badges/gpa.svg)](https://codeclimate.com/github/nbekirov/misfortune)
[![Dependency Status](https://gemnasium.com/badges/github.com/nbekirov/misfortune.svg)](https://gemnasium.com/github.com/nbekirov/misfortune)

# Misfortune

> _If you give someone a program, you will frustrate them for a day; if you teach them how to program, you will frustrate them for a lifetime._
> - Anonymous

"Unmaintainable code" by Roedy Green turned into fortune cookies.

## Installation

Simply execute:

```
$ gem install misfortune
```

## Usage

For a random cookie use:

```
$ misfortune
```

For help and list of all available commands and options:

```
$ misfortune --help
```

## Contributing

Bug reports and pull requests are welcome on GitHub at https://github.com/nbekirov/misfortune.

## Credits

Original essay: [unmaintainable code](http://mindprod.com/jgloss/unmain.html) by [Roedy Green](http://mindprod.com/index.html)

Markdown adaptation: [How To Write Unmaintainable Code](https://github.com/Droogans/unmaintainable-code) by [Andrew Yurisich](https://github.com/Droogans)

## TODO
  * Terminal renderer: Word wrap
